%global momorel 7

Name:           bash-completion
Version:        20060301
Release:	%{momorel}m%{?dist}
Summary:        Programmable completion for Bash

Group:          System Environment/Shells
License:        GPL
URL:            http://www.caliban.org/bash/
Source0:        http://www.caliban.org/files/bash/%{name}-%{version}.tar.bz2
NoSource:	0
Source2:        %{name}-mock
Source3:        %{name}-repomanage
Source4:        %{name}-plague-client
Source10:       lilypond.bash-completion
Patch0:         %{name}-20060301-scp-apos-217178.patch
Patch1:         %{name}-20060301-debian.patch
Patch2:         %{name}-20060301-perl-299571.patch
Patch3:         %{name}-20060301-jpeg2000-304771.patch
Patch4:         %{name}-20060301-vdrfiles.patch
Patch100:	%{name}-tar-bzip2.patch

BuildArch:      noarch
PreReq:         coreutils
Requires:       bash >= 3.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
bash-completion is a collection of shell functions that take advantage
of the programmable completion feature of bash 2.

%prep
%setup -q -n bash_completion
%patch0
%patch1
%patch2
%patch3
%patch4

%patch100 -p1
f=Changelog ; iconv -f iso-8859-1 -t utf-8 $f > $f.utf8 ; mv $f.utf8 $f
install -pm 644 %{SOURCE2} contrib/mock
install -pm 644 %{SOURCE3} contrib/plague-client
install -pm 644 %{SOURCE3} contrib/repomanage

%build

%install
rm -rf %{buildroot} %{name}-ghosts.list
install -dm 755 %{buildroot}%{_sysconfdir}/profile.d
install -pm 644 bash_completion %{buildroot}%{_sysconfdir}
install -pm 644 bash_completion.sh %{buildroot}%{_sysconfdir}/profile.d
install -dm 755 %{buildroot}%{_datadir}/%{name}
install -pm 644 contrib/* %{buildroot}%{_datadir}/%{name}
install -pm 644 %{SOURCE10} %{buildroot}%{_datadir}/%{name}/lilypond
install -dm 755 %{buildroot}%{_sysconfdir}/bash_completion.d
cd contrib
for f in * ; do
  ln -s %{_datadir}/%{name}/$f %{buildroot}%{_sysconfdir}/bash_completion.d
  echo "%ghost %{_sysconfdir}/bash_completion.d/$f" >> ../%{name}-ghosts.list
done
cd -

%clean
rm -rf %{buildroot}

%define do_triggerin() if [ ! -e %{_sysconfdir}/bash_completion.d/%1 ] ; then ln -s %{_datadir}/%{name}/%1 %{_sysconfdir}/bash_completion.d || : ; fi
%define do_triggerun() [ $2 -gt 0 ] || rm -f %{_sysconfdir}/bash_completion.d/%1 || :

# Not handled (yet?):
# bitkeeper, dsniff, harbour, larch, lisp, p4, povray, sitecopy

%triggerin -- bittorrent
%do_triggerin bittorrent
%triggerun -- bittorrent
%do_triggerun bittorrent

%triggerin -- cksfv
%do_triggerin cksfv
%triggerun -- cksfv
%do_triggerun cksfv

%triggerin -- clisp
%do_triggerin clisp
%triggerun -- clisp
%do_triggerun clisp

%triggerin -- freeciv
%do_triggerin freeciv
%triggerun -- freeciv
%do_triggerun freeciv

%triggerin -- gcc-gnat
%do_triggerin gnatmake
%triggerun -- gcc-gnat
%do_triggerun gnatmake

%triggerin -- gcl
%do_triggerin gcl
%triggerun -- gcl
%do_triggerun gcl

%triggerin -- gkrellm
%do_triggerin gkrellm
%triggerun -- gkrellm
%do_triggerun gkrellm

%triggerin -- lilypond
%do_triggerin lilypond
%triggerun -- lilypond
%do_triggerun lilypond

%triggerin -- mailman
%do_triggerin mailman
%triggerun -- mailman
%do_triggerun mailman

%triggerin -- mcrypt
%do_triggerin mcrypt
%triggerun -- mcrypt
%do_triggerun mcrypt

%triggerin -- mercurial
%do_triggerin hg
%triggerun -- mercurial
%do_triggerun hg

%triggerin -- mock
%do_triggerin mock
%triggerun -- mock
%do_triggerun mock

%triggerin -- mtx
%do_triggerin mtx
%triggerun -- mtx
%do_triggerun mtx

%triggerin -- perl-SVK
%do_triggerin svk
%triggerun -- perl-SVK
%do_triggerun svk

%triggerin -- plague-client
%do_triggerin plague-client
%triggerun -- plague-client
%do_triggerun plague-client

%triggerin -- ruby-ri
%do_triggerin ri
%triggerun -- ruby-ri
%do_triggerun ri

%triggerin -- sbcl
%do_triggerin sbcl
%triggerun -- sbcl
%do_triggerun sbcl

%triggerin -- snownews
%do_triggerin snownews
%triggerun -- snownews
%do_triggerun snownews

%triggerin -- unace
%do_triggerin unace
%triggerun -- unace
%do_triggerun unace

%triggerin -- unixODBC
%do_triggerin isql
%triggerun -- unixODBC
%do_triggerun isql

%triggerin -- unrar
%do_triggerin unrar
%triggerun -- unrar
%do_triggerun unrar

%triggerin -- yum-utils
%do_triggerin repomanage
%triggerun -- yum-utils
%do_triggerun repomanage

%files -f %{name}-ghosts.list
%defattr(-,root,root,-)
%doc BUGS Changelog COPYING README
%config(noreplace) %{_sysconfdir}/profile.d/bash_completion.sh
%{_sysconfdir}/bash_completion
%dir %{_sysconfdir}/bash_completion.d/
%{_datadir}/%{name}/

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (20060301-7m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (20060301-6m)
- rebuild against gcc43

* Wed Feb 20 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (20060301-5m)
- add %%do_triggerin and %%do_triggerun from fc 20060301-8
- add Patch2:         %{name}-20060301-perl-299571.patch
- add Patch3:         %{name}-20060301-jpeg2000-304771.patch
- add Patch4:         %{name}-20060301-vdrfiles.patch
- apply patch0

* Mon Aug 20 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (20060301-4m)
- PreReq: coreutils

* Sun Mar 11 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (20060301-3m)
- enable use tar zxvf *bz2 (Patch100)
- import from fc Patch0:         %{name}-20060301-scp-apos-217178.patch
- import from fc Patch1:         %{name}-20060301-debian.patch

* Sat Mar  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (20060301-2m)
- import new lilypond.bash-completion from cooker

* Sun Feb 04 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (20060301-1m)
- import to Momonga from fc-extras

* Thu Aug 31 2006 Ville Skytta <ville.skytta at iki.fi> - 20060301-2
- Trigger-install support for gcl, lilypond, mercurial and svk.
- Improve mock completion a bit.

* Thu Mar  2 2006 Ville Skytta <ville.skytta at iki.fi> - 20060301-1
- 20060301, patches and profile.d scriptlet applied/included upstream.
- Convert docs to UTF-8.

* Wed Feb  8 2006 Ville Skytta <ville.skytta at iki.fi> - 20050721-4
- Don't source ourselves in non-interactive shells (#180419, Behdad Esfahbod).
- Trigger-install snippets for clisp, gnatmake, isql, ri, sbcl, and snownews.

* Sat Feb  4 2006 Ville Skytta <ville.skytta at iki.fi>
- Add mtr(8) completion using known hosts (#179918, Yanko Kaneti).

* Sun Jan  8 2006 Ville Skytta <ville.skytta at iki.fi> - 20050721-3
- Patch to hopefully fix quoting problems with bash 3.1 (#177056).

* Mon Nov 28 2005 Ville Skytta <ville.skytta at iki.fi> - 20050721-2
- Work around potential login problem in profile.d snippet (#174355).

* Sat Nov 26 2005 Ville Skytta <ville.skytta at iki.fi>
- Don't mark the main source file as %%config.
- Make profile.d snippet non-executable (#35714) and noreplace.
- Add mock, plague-client and repomanage completion.
- Allow "cvs stat" completion.
- Macroize trigger creation.

* Fri Jul 22 2005 Ville Skytta <ville.skytta at iki.fi> - 20050721-1
- 20050721.

* Wed Jul 20 2005 Ville Skytta <ville.skytta at iki.fi> - 20050720-1
- 20050720, all patches applied upstream.

* Mon Jul 18 2005 Ville Skytta <ville.skytta at iki.fi> - 20050712-1
- 20050712.
- Add more OO.o2 extensions, and *.pdf for evince (#163520, Horst von Brand).
- Add/fix support for some multimedia formats and players.
- Fix tarball completion.

* Sat Jan 22 2005 Ville Skytta <ville.skytta at iki.fi> - 0:20050121-2
- Update to 20050121.

* Thu Jan 13 2005 Ville Skytta <ville.skytta at iki.fi> - 0:20050112-1
- Update to 20050112, openssl patch applied upstream.

* Wed Jan  5 2005 Ville Skytta <ville.skytta at iki.fi> - 0:20050103-1
- Update to 20050103.

* Sat Nov 27 2004 Ville Skytta <ville.skytta at iki.fi> - 0:20041017-5
- Change version scheme, bump release to provide Extras upgrade path.

* Sat Nov  6 2004 Ville Skytta <ville.skytta at iki.fi> 0:0.0-0.fdr.4.20041017
- Do the right thing with bash >= 3 too in profile.d snippet (bug 2228, thanks
  to Thorsten Leemhuis).

* Mon Oct 18 2004 Ville Skytta <ville.skytta at iki.fi> 0:0.0-0.fdr.3.20041017
- Update to 20041017, adds dhclient, lvm, and bittorrent completion.

* Mon Jul 12 2004 Ville Skytta <ville.skytta at iki.fi> 0:0.0-0.fdr.3.20040711
- Update to 20040711, patches applied upstream.

* Sun Jul  4 2004 Ville Skytta <ville.skytta at iki.fi> 0:0.0-0.fdr.3.20040704
- Update to 20040704.
- Change to symlinked /etc/bash_completion.d snippets, add patch to read them.

* Wed May 26 2004 Ville Skytta <ville.skytta at iki.fi> 0:0.0-0.fdr.3.20040526
- Update to 20040526.

* Thu Apr  1 2004 Ville Skytta <ville.skytta at iki.fi> 0:0.0-0.fdr.3.20040331
- Add command-specific contrib snippet copying triggers.

* Thu Apr  1 2004 Ville Skytta <ville.skytta at iki.fi> 0:0.0-0.fdr.2.20040331
- Update to 20040331.

* Sun Feb 15 2004 Ville Skytta <ville.skytta at iki.fi> 0:0.0-0.fdr.2.20040214
- Update to 20040214.

* Wed Feb 11 2004 Ville Skytta <ville.skytta at iki.fi> 0:0.0-0.fdr.2.20040210
- Update to 20040210.

* Fri Jan  2 2004 Ville Skytta <ville.skytta at iki.fi> 0:0.0-0.fdr.2.20040101
- Update to 20040101.
- Update %%description.

* Sat Dec 27 2003 Ville Skytta <ville.skytta at iki.fi> 0:0.0-0.fdr.2.20031225
- Update to 20031225.

* Sat Dec 20 2003 Ville Skytta <ville.skytta at iki.fi> 0:0.0-0.fdr.2.20031215
- Don't pull in *.rpm* from %%{_sysconfdir}/bash_completion.d.

* Mon Dec 15 2003 Ville Skytta <ville.skytta at iki.fi> 0:0.0-0.fdr.1.20031215
- Update to 20031215.

* Sun Nov 30 2003 Ville Skytta <ville.skytta at iki.fi> 0:0.0-0.fdr.1.20031125
- Update to 20031125.

* Thu Nov 13 2003 Ville Skytta <ville.skytta at iki.fi> 0:0.0-0.fdr.1.20031112
- Update to 20031112.

* Wed Oct 22 2003 Ville Skytta <ville.skytta at iki.fi> 0:0.0-0.fdr.1.20031022
- Update to 20031022.

* Tue Oct  7 2003 Ville Skytta <ville.skytta at iki.fi> 0:0.0-0.fdr.1.20031007
- Update to 20031007.

* Tue Sep 30 2003 Ville Skytta <ville.skytta at iki.fi> 0:0.0-0.fdr.1.20030929
- Update to 20030929.

* Fri Sep 12 2003 Ville Skytta <ville.skytta at iki.fi> 0:0.0-0.fdr.1.20030911
- Update to 20030911.

* Thu Aug 21 2003 Ville Skytta <ville.skytta at iki.fi> 0:0.0-0.fdr.1.20030821
- Update to 20030821.
- Drop .nosrc.rpm patch, already applied upstream.

* Sat Aug 16 2003 Ville Skytta <ville.skytta at iki.fi> 0:0.0-0.fdr.1.20030811
- Update to 20030811.
- Patch to make rpm --rebuild work with .nosrc.rpm's.

* Sun Aug  3 2003 Ville Skytta <ville.skytta at iki.fi> - 0:0.0-0.fdr.1.20030803
- Update to 20030803.

* Wed Jul 23 2003 Ville Skytta <ville.skytta at iki.fi> - 0:0.0-0.fdr.1.20030721
- Update to 20030721.

* Sun Jul 13 2003 Ville Skytta <ville.skytta at iki.fi> - 0:0.0-0.fdr.1.20030713
- Update to 20030713.

* Mon Jun 30 2003 Ville Skytta <ville.skytta at iki.fi> - 0:0.0-0.fdr.1.20030630
- Update to 20030630.

* Sun Jun  8 2003 Ville Skytta <ville.skytta at iki.fi> - 0:0.0-0.fdr.1.20030607
- Update to 20030607.

* Tue May 27 2003 Ville Skytta <ville.skytta at iki.fi> - 0:0.0-0.fdr.1.20030527
- Update to 20030527.

* Sat May 24 2003 Ville Skytta <ville.skytta at iki.fi> - 0:0.0-0.fdr.1.20030505
- First build.
